;Program: Test
;****************************************************************************
	LIST P = 16F84,	R = DEC
	#INCLUDE <P16F84.INC>
;----------------------------------------------------------------------------
 __CONFIG   _CP_OFF & _WDT_OFF & _PWRTE_ON & _XT_OSC
;xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
	ORG	0
	GOTO	START
;****************************************************************************
;PODPROGRAMY
;****************************************************************************

;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
;PROGRAM
;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
START	BSF	STATUS,RP0
	MOVLW	B'11111111'
	MOVWF	TRISA
	CLRF	TRISB
	BCF	STATUS,RP0

ZAS	CLRF	PORTB
	BTFSS	PORTA,0
	GOTO	$-1
	MOVLW	B'11111111'
	MOVWF	PORTB
	BTFSC	PORTA,0
	GOTO	$-1
	GOTO	ZAS

	END
